<?
$contadortotal=0;

do{

//definir nombre

$nombre=array(
"1"=>"Cri",
"2"=>"Pse",
"3"=>"Argor",
"4"=>"Aimmer",
"5"=>"Mem",
"6"=>"Sim",
"7"=>"Tao",
"8"=>"Gor",
"9"=>"Toin",
"10"=>"Grop",
"11"=>"Era",
"12"=>"Per",
"13"=>"Omi",
"14"=>"Stumer",
"15"=>"Arp",
"16"=>"Simgor",
"17"=>"Grom",
"18"=>"Melple",
"19"=>"Stut",
"20"=>"Arple",
"21"=>"Stuntan",
);


$nombre2=array(
"1"=>"tanton",
"2"=>"menca",
"3"=>"cron",
"4"=>"gonca",
"5"=>"tanca",
"6"=>"menton",
"7"=>"tania",
"8"=>"meno",
"9"=>"ton",
"10"=>"zola",
"11"=>"leca",
"12"=>"seus",
"13"=>"xius",
"14"=>"traus",
"15"=>"pleco",
"16"=>"lelia",
"17"=>"lia",
"18"=>"tiria",
"19"=>"lele",
"20"=>"tonia",
"21"=>"ceus",
);

$nombre3=array(
"1"=>"Tuis",
"2"=>"Mico",
"3"=>"Roga",
"4"=>"Elme",
"5"=>"Zm",
"6"=>"Xim",
"7"=>"Wao",
"8"=>"Yor",
"9"=>"Vin",
"10"=>"Gop",
"11"=>"Aera",
"12"=>"Jer",
"13"=>"Yomi",
"14"=>"Stumer",
"15"=>"Arp",
"16"=>"Simgor",
"17"=>"Mrom",
"18"=>"Belple",
"19"=>"Stut",
"20"=>"Harple",
"21"=>"Yuntan",
);


$nombre4=array(
"1"=>"yanton",
"2"=>"nenca",
"3"=>"kron",
"4"=>"jonca",
"5"=>"tanca",
"6"=>"nenton",
"7"=>"yania",
"8"=>"neno",
"9"=>"jon",
"10"=>"sola",
"11"=>"veca",
"12"=>"beus",
"13"=>"jius",
"14"=>"kraus",
"15"=>"oleco",
"16"=>"telia",
"17"=>"lia",
"18"=>"qiria",
"19"=>"qele",
"20"=>"lonia",
"21"=>"reus",
);

//Escritura de la tabla (sistema)




$i=rand(1,21);
$j=rand(1,21);

$variable=rand(1,4);

if ($variable=="1"){$tsistema="simple";$nsistema=1;}
if ($variable=="2"){$tsistema="binario";$nsistema=2;}
if ($variable=="3"){$tsistema="binario";$nsistema=2;}
if ($variable=="4"){$tsistema="trinario";$nsistema=3;}

echo"    Sistema $tsistema  $nombre[$i]$nombre4[$j].";
echo "<BR>";

$testrella="";
$cont=0;

if($nsistema<3){$contador=rand(1,8)+rand(1,8);}else{$contador=0;}

Do{
$variable=rand(1,8);

if ($variable=="1"){$testrella=$testrella."Enana roja. ";}
if ($variable=="2"){$testrella=$testrella."Enana amarilla. ";}
if ($variable=="3"){$testrella=$testrella."Enana naranja. ";}
if ($variable=="4"){$testrella=$testrella."Enana marrón. ";}
if ($variable=="5"){$testrella=$testrella."Gigante roja. ";} 
if ($variable=="6"){$testrella=$testrella."Gigante azul. ";} 
if ($variable=="7"){$testrella=$testrella."Agujero negro. ";$contador=0;}
if ($variable=="8"){$testrella=$testrella."Enana blanca. ";}

$cont=$cont+1;
}while($cont<$nsistema);

echo" Tipo de estrella: $testrella";
echo "<BR>";

//generar planetas

if ($contador!=0)
{

$nplaneta=1;
do
{
// Definiendo parámetros del planeta

$sunaaño=0;

$variable= rand(1,10);
if ($nplaneta<($contador/2)){
if ($variable=="1"){$tplaneta="Cinturón de asteroides.";}
if ($variable=="2"){$tplaneta="Gaseoso.";}
if ($variable=="3"){$tplaneta="Masa sólida.";}
if ($variable=="4"){$tplaneta="Masa sólida.";}
if ($variable=="5"){$tplaneta="Masa sólida.";} 
if ($variable=="6"){$tplaneta="Masa sólida.";} 
if ($variable=="7"){$tplaneta="Masa sólida.";}
if ($variable=="8"){$tplaneta="Masa sólida.";}
if ($variable=="9"){$tplaneta="Masa sólida.";} 
if ($variable=="10"){$tplaneta="Masa sólida.";} 
}
else
{
if ($variable=="1"){$tplaneta="Gaseoso.";}
if ($variable=="2"){$tplaneta="Cinturón de asteroides.";}
if ($variable=="3"){$tplaneta="Cinturón de asteroides.";}
if ($variable=="4"){$tplaneta="Gaseoso.";}
if ($variable=="5"){$tplaneta="Gaseoso.";}
if ($variable=="6"){$tplaneta="Gaseoso.";}
if ($variable=="7"){$tplaneta="Gaseoso.";}
if ($variable=="8"){$tplaneta="Masa sólida.";} 
if ($variable=="9"){$tplaneta="Masa sólida.";} 
if ($variable=="10"){$tplaneta="Gaseoso.";}
}

//definiendo terreno


do{

$v=rand(0,1);
if($v==1){$Estériles=rand(0,100);}else{$Estériles=0;}
$v=rand(0,2);
if($v==1){$Estepas=rand(0,100);}else{$Estepas=0;}
$v=rand(0,2);
if($v==1){$Desiertos=rand(0,100);}else{$Desiertos=0;}
$v=rand(0,2);
if($v==1){$Glacial=rand(0,100);}else{$Glacial=0;}
$v=rand(0,2);
if($v==1){$Oceano=rand(0,100);}else{$Oceano=0;}
$v=rand(0,2);
if($v==2){$Montañas=rand(0,100);}else{$Montañas=0;}
$v=rand(0,2);
if($v==1){$Volcánicos=rand(0,100);}else{$Volcánicos=0;}
$v=rand(0,2);
if($v==1){$Jungla=rand(0,100);}else{$Jungla=0;}

$total=$Estériles+$Estepas+$Desiertos+$Glacial+$Oceano+$Montañas+$Volcánicos+$Urbano+$Jungla;
}while($total!=100);

$terreno="Estériles (".$Estériles."%), estepas (".$Estepas."%), desiertos (".$Desiertos."%), glaciales (".$Glacial."%), océanos (". $Oceano."%), montañoso (".$Montañas."%), volcánico (".$Volcánicos."%), junglas (".$Jungla."%).";

//definiendo atmósfera 

if($nplaneta<3){
$variable=rand(1,4);
if ($variable=="1"){$tatmosfera="Ninguna.";}
if ($variable=="2"){$tatmosfera="Tóxica.";}
if ($variable=="3"){$tatmosfera="Ácida.";}
if ($variable=="4"){$tatmosfera="Ninguna.";} 
}
else
{
if($nplaneta>5){
$variable=rand(1,4);
if ($variable=="1"){$tatmosfera="Ninguna.";}
if ($variable=="2"){$tatmosfera="Tóxica.";}
if ($variable=="3"){$tatmosfera="Ácida.";}
if ($variable=="4"){$tatmosfera="Tóxica.";}
}
else
{
$variable=rand(1,5);
if ($variable=="1"){$tatmosfera="Ninguna.";}
if ($variable=="2"){$tatmosfera="Tóxica.";}
if ($variable=="3"){$tatmosfera="Ácida.";}
if ($variable=="4"){$tatmosfera="Respirable.";}
if ($variable=="5"){$tatmosfera="Levemente tóxica.";}
}
}

// definiendo temperatura

$maxima=rand(3,8)*((rand(3,6)-$nplaneta)*10);
$minima=$maxima/rand(4,6);
If($maxima<0){$minima=$maxima+rand(-40,-10);}
If($minima>0){$minima=$minima*-1;}

if ($tatmosfera=="Ácida."){$maxima=$maxima+rand(50,200);$minima=$minima+rand(10,50);}
if ($tatmosfera=="Tóxica."){$maxima=$maxima+rand(50,200);$minima=$minima+rand(10,50);}

if ($tatmosfera=="Respirable."){$maxima=rand(10,60);$minima=rand(10,-50);}
if ($tatmosfera=="Levemente tóxica."){$maxima=rand(10,60);$minima=rand(10,-50);}


$minima=number_format($minima,0);

if ($minima<-230){$minima=rand(-225,-240);}if ($maxima<-230){$maxima=rand(-200,-224);}



//definiedno gravedad , diámetro, duración del dia y del año


if ($tplaneta=="Gaseoso."){$diametro=rand(1000,30000)*rand(1,10);}else{$diametro=rand(500,8000)*rand(1,8);}

if ($tplaneta=="Masa sólida."){$gravedad=number_format($diametro/120,0);}else{$gravedad=number_format($diametro/500,0);}

$dia=rand(5,150);

if ($nplaneta<($contador/2)){$año=(rand(30,200)+$sunaaño);}else{$año=(rand(300,2000)+$sunaaño);} $sunaaño=$sunaaño+$año;



// definiendo los satélites

$satelites="";

$nsatelites=number_format($gravedad/200,0)*rand(1,2);

if ($nsatelites<1){$satelites="Ninguno.";}
else
{
do
{
$variable= rand(1,13);
if ($variable=="1"){$tsatelite="cinturón de asteroides.";}
if ($variable=="2"){$tsatelite="construcción artificial";}
if ($variable=="3"){$tsatelite="masa sólida, rocoso y estéril";}
if ($variable=="4"){$tsatelite="masa sólida, rocoso y estéril";}
if ($variable=="5"){$tsatelite="masa sólida, rocoso y estéril";} 
if ($variable=="6"){$tsatelite="masa sólida, rocoso y estéril";} 
if ($variable=="7"){$tsatelite="masa sólida, volcánico";}
if ($variable=="8"){$tsatelite="masa sólida, frondoso y con junglas";}
if ($variable=="9"){$tsatelite="masa sólida, superficie líquida";} 
if ($variable=="10"){$tsatelite="masa sólida, glacial.";} 
if ($variable=="11"){$tsatelite="masa sólida, desértico";}
if ($variable=="12"){$tsatelite="masa gaseosa";}
if ($variable=="13"){$tsatelite="cinturón de asteroides";}
$i=rand(1,21);
$j=rand(1,21);
$satelites=$satelites.$nombre3[$i].$nombre4[$j]." (".$tsatelite."), ";
$cont=$cont+1;
}while($cont<$nsatelites);
}

//definiendo usos del palneta

$variable= rand(1,11);
if ($variable=="1"){$uso="Recursos minerales.";}
if ($variable=="2"){$uso="Agricultura y ganadería.";}
if ($variable=="3"){$uso="Colonias.";}
if ($variable=="4"){$uso="Comercio.";}
if ($variable=="5"){$uso="Planeta residencial.";}
if ($variable=="6"){$uso="Ninguno.";}
if ($variable=="7"){$uso="Ninguno.";}
if ($variable=="8"){$uso="Ninguno.";} 
if ($variable=="9"){$uso="Investigación y desarollo.";} 
if ($variable=="10"){$uso="Valor militar y estratégico.";} 
if ($variable=="11"){$uso="Ninguno.";}

//definiendo poblacion

$variable= rand(1,6);
if ($variable=="1"){$vida="Seres unicelulares.";}
if ($variable=="2"){$vida="Criaturas salvajes.";}
if ($variable=="3"){$vida="Vida inteligente.";}
if ($variable=="4"){$vida="Ninguna.";}
if ($variable=="5"){$vida="Ninguna.";}
if ($variable=="6"){$vida="Ninguna.";}

if($vida=="Vida inteligente.")
{
$variable=rand(1,8);
if ($variable=="1"){$vida=$vida." Se trata de criaturas salvajes, solitarias o agrupadas en manadas.";}
if ($variable=="2"){$vida=$vida." Poseen pequeñas herramientas de piedra o madera, tiendas hechas con pieles o pequeñas cabañas.";}
if ($variable=="3"){$vida=$vida." Tienen estructura militar, construcciones de piedra, dominio de la agricultura. Expansión territorial.";}
if ($variable=="4"){$vida=$vida." Han descubrimiento de la pólvora y la penicilina, maquinas a vapor. Casas de varios pisos.";}
if ($variable=="5"){$vida=$vida." Construyen maquinas de hidrocarburos, descubrimiento de la electricidad.";}
if ($variable=="6"){$vida=$vida." Poseen electrónica avanzada, primeros viajes espaciales. Primeras computadoras.";}
if ($variable=="7"){$vida=$vida." Poseen energía nuclear. Era digital computadoras y vehículos por todas partes.";}
if ($variable=="8"){$vida=$vida." Dominan las primeras armas de energía. Viajes a satélites y planetas cercanos. Inicio de la biotecnología.";}
if ($variable=="9"){$vida=$vida." Se plantean la colonización de sistema solar. Armas de energía y cyber implantes por todas partes.";}
if ($variable=="10"){$vida=$vida." Dominan los viajes fuera del sistema solar. Androides con inteligencia humana. Colonias espaciales.";}
if ($variable=="11"){$vida=$vida." Dominan los viajes al híper espacio, colonias fuera de la galaxia. Interacción común con alienígenas.";}
if ($variable=="12"){$vida=$vida." Se trata de criaturas salvajes, solitarias o agrupadas en manadas.";}
if ($variable=="16"){$vida=$vida." Poseen pequeñas herramientas de piedra o madera, tiendas hechas con pieles o pequeñas cabañas.";}
if ($variable=="13"){$vida=$vida." Tienen estructura militar, construcciones de piedra, dominio de la agricultura. Expansión territorial.";}
if ($variable=="14"){$vida=$vida." Se trata de criaturas salvajes, solitarias o agrupadas en manadas.";}
if ($variable=="15"){$vida=$vida." Poseen pequeñas herramientas de piedra o madera, tiendas hechas con pieles o pequeñas cabañas.";}
if ($variable=="17"){$vida=$vida." Tienen estructura militar, construcciones de piedra, dominio de la agricultura. Expansión territorial.";}

$variable= rand(1,6);
if ($variable=="1"){$vida=$vida." Son gobernados mediante una república.";}
if ($variable=="2"){$vida=$vida." El planeta ha sid comprado por una megacorporación.";}
if ($variable=="3"){$vida=$vida." Se organizan mediante tribus.";}
if ($variable=="4"){$vida=$vida." Actualmente se encuentran en completa anarquía.";}
if ($variable=="5"){$vida=$vida." Poseen un régimen monárquico.";}
if ($variable=="6"){$vida=$vida." Están inmersos en una dictadura.";}

}



// escritura de la tabla (planetas)

$i=rand(1,21);
$j=rand(1,21);

echo "<table border=1  width=100% colspan=8 cellspacing=1>";

echo"      <tr>
               <td colspan=8> <b>Planeta número $nplaneta:</b> $nombre[$i]$nombre2[$j]</td>
      </tr>";
echo"      <tr>
               <td colspan=8> <b>Tipo:</b> $tplaneta     <b>Atmósfera:</b> $tatmosfera  </td>  
      </tr>";
$año2=number_format($año/365,1);
  echo"      <tr>
               <td colspan=8>  <b>Duración del año:</b> $año  días terrestres ($año2 años).  <b>Duración del día:</b> $dia  horas terrestres.</td>
      </tr>";
echo"      <tr>
               <td colspan=8>  <b>Terreno:</b> $terreno   </td>
      </tr>";

 echo"      <tr>
               <td colspan=8> <b>Diámetro:</b> $diametro kilómetros.  <b>Gravedad:</b> $gravedad % de la gravedad terrestre.   </td>
      </tr>";
 echo"      <tr>
               <td colspan=8> <b>Temperatura diurna:</b> $maxima º.  <b>Temperatura nocturna:</b> $minima º   </td>
      </tr>";


echo"      <tr>
               <td colspan=8> <b>Recursos primarios del planeta:</b> $uso</td>
      </tr>";

 echo"      <tr>
               <td colspan=8>  <b>Formas de vida principal:</b> $vida </td>
      </tr>";
 echo"      <tr>
               <td colspan=8>  <b>Satélites:</b> $satelites</td>
      </tr>"; 
echo "</table>";
echo "<BR>";
$nplaneta=$nplaneta+1;
}while($contador>$nplaneta);
}
else{echo" Este sistema no tiene planetas.";echo "<BR>";}

echo "-----------------";echo "<BR>";echo "<BR>";

$contadortotal=$contadortotal+1;

}while ($contadortotal<20);
?>
<a href="Index.php">Cargar de nuevo</a>